import Card from '../../../interfaces/Card'
import Type from '../../../interfaces/Type'
import Tag from '../../../interfaces/Tag'
import Rarity from '../../../interfaces/Rarity'
import AbilityType from '../../../interfaces/AbilityType'
import Category from '../../../interfaces/Category'

const card: Card = {

	// ids
	id: "swsh1-27",
	localId: 27,

	dexId: 757,

	// Card informations
	name: {
		en: "Salandit",
		fr: "Tritox",
	},

	hp: 70,

	type: [
		Type.FIRE,
	],



	image: {
		low: {
			en: "https://assets.tcgdex.net/en/swsh/swsh1/27/low.png",
			fr: "https://assets.tcgdex.net/fr/swsh/swsh1/27/low.png",
		}
	},

	evolveTo: [{
		en: "Salazzle",
		fr: "Malamandre",
	}],

	tags: [
		Tag.BASIC,
	],

	illustrator: {
		id: 28,
		name: "SATOSHI NAKAI"
	},

	attacks: [{
		cost: [
			Type.FIRE
		],
		name: {
			en: "Smog",
			fr: "Purédpois",
		},
		text: {
			en: "Your opponent’s Active Pokémon is now Poisoned.",
			fr: "Le Pokémon Actif de votre adversaire est maintenant Empoisonné.",
		},
	}],

	weaknesses: [{
		type: Type.WATER,
		value: "×2"
	}],



	retreat: 1,

	rarity: Rarity.Common,

	category: Category.POKEMON,

	set: {
		name: "Sword & Shield",
		code: "swsh1"
	}
}

export default card
